Page MenuHomePhabricator

Investigation: "other languages" box shows older revision unless one purges page
Closed, ResolvedPublic

Description

this happens on wikidata, as well as master.

  1. I have an item with spanish description "Film von Diao Yinan (2014)"

  1. edit the description to remove the year

  1. click save
  1. undo the edit (thus re-adding the year to the spanish description)

  1. I am back on the item page, but the spanish description shows the previous version before undo. (e.g. no year)

If I click edit, then it shows the correct version.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUn-deprecate $revisionId = 0 in EntityRevisionLookup
mediawiki/extensions/Wikibase : master[DNM] Disallow EntityRevision to represent current revision
mediawiki/extensions/Wikibase : masterFix revision id used for EntityTermsView placeholder

Event Timeline

aude created this task.Feb 26 2015, 5:39 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 5:39 PM
aude added a comment.Feb 26 2015, 5:43 PM

if i reload the page, like http://wikidata-repo/wiki/Q139?g it is still wrong.

the problem appears confined to the "other languages" / term box. If I edit then undo the english description (my user language), it shows correctly above the term box but wrong in the term box.

if i undo a site link or statement edit, also no problem.

aude added a comment.Feb 26 2015, 5:43 PM

purge the page and i see the correct description

Lydia_Pintscher triaged this task as High priority.Mar 2 2015, 1:55 PM
Lydia_Pintscher added a subscriber: daniel.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
aude added a comment.Mar 24 2015, 2:10 PM

this still happens on master

aude added a comment.Mar 25 2015, 7:16 AM

here I simply added a label for english:

the label does not show in the term box but is displayed in the h1 element.

as we suspected, the term box is using older revision.

aude renamed this task from After I undo a description in the "term" box, the item page shows version of description before undo to "other languages" box shows older revision unless one purges page.Apr 1 2015, 10:51 AM
aude set Security to None.

seems to happen always, and not just for undo

Tobi_WMDE_SW renamed this task from "other languages" box shows older revision unless one purges page to Investigation: "other languages" box shows older revision unless one purges page.Apr 7 2015, 1:32 PM
aude claimed this task.Apr 7 2015, 6:38 PM
aude moved this task from Backlog to Doing on the Wikidata-Sprint-2015-04-07 board.

Change 202466 had a related patch set uploaded (by Aude):
Fix revision id used for EntityTermsView placeholder

https://gerrit.wikimedia.org/r/202466

aude moved this task from Doing to Review on the Wikidata-Sprint-2015-04-07 board.Apr 7 2015, 6:46 PM

Change 202723 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Un-deprecate $revisionId = 0 in EntityRevisionLookup

https://gerrit.wikimedia.org/r/202723

Change 203045 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
[DNM] Disallow EntityRevision to represent current revision

https://gerrit.wikimedia.org/r/203045

Change 202466 merged by jenkins-bot:
Fix revision id used for EntityTermsView placeholder

https://gerrit.wikimedia.org/r/202466

Lydia_Pintscher closed this task as Resolved.Apr 10 2015, 2:37 PM
Lydia_Pintscher moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.

Change 203045 abandoned by Thiemo Mättig (WMDE):
[DNM] Disallow EntityRevision to represent current revision

https://gerrit.wikimedia.org/r/203045

Change 202723 abandoned by Thiemo Mättig (WMDE):
Un-deprecate $revisionId = 0 in EntityRevisionLookup

https://gerrit.wikimedia.org/r/202723